Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_Viewpoint

Viewpoint Class
Contained in: global
Derived from: none
Derived by: none
Group: GL (OpenGL)

#include <ClanLib/gl.h>

### public function member index:

### Construction:

`` | `CL_Viewpoint` | `()`;
`` | `CL_Viewpoint` | `(`const` `CL_Vector`& `pos`, `const` `CL_Vector`& `dir`, `const` `CL_Vector`& `up`)`;

## Description:

## Function Member Descriptions:

CL_Viewpoint::CL_Viewpoint - Default Viewpoint Constructor
`` `CL_Viewpoint` `()`;

CL_Viewpoint::CL_Viewpoint - Viewpoint Constructor
`` `CL_Viewpoint` `(`const` `CL_Vector`& `pos`, `const` `CL_Vector`& `dir`, `const` `CL_Vector`& `up`)`;

## Variable Member Descriptions:

CL_Viewpoint::dir - Direction
``CL_Vector`` ``dir`;`

CL_Viewpoint::pos - Postion
``CL_Vector`` ``pos`;`

CL_Viewpoint::up - Up
``CL_Vector`` ``up`;`